You are not logged in.

#1 2013-04-05 22:23:00

From: Twin Cities, MN
Registered: 2012-06-22
Posts: 1,486

Difficulties with Pelican Packages

Trying both pelican and pelican-git, and for pelican-git, trying various combinations of the python-* packages and the python2-* packages (supposedly, it should work with either), pelican fails to run correctly.

No matter how I attempt to run pelican (even just calling "pelican --help") will return a traceback which looks similar to this:

Traceback (most recent call last):
  File "/usr/bin/pelican", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.7/site-packages/", line 2803, in <module>
  File "/usr/lib/python2.7/site-packages/", line 696, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python2.7/site-packages/", line 594, in resolve
    raise DistributionNotFound(req)
pkg_resources.DistributionNotFound: feedgenerator

Though, on occasion, depending on the combination of packages I use, it will say that it needs feedgenerator (or one of the other packages) of a particular version (despite that I have the required version installed correctly).

I imagine this may have something to do with the fact that this PKGBUILD and many of its related/required PKGBUILDs use a deprecated syntax (no package function), though I am not sure. Is anyone else having issues with pelican?

All the best,


"All errors are ᴘᴇʙᴋᴀᴄ errors—It's just a matter of narrowing down which keyboard and chair." -Trilby


#2 2013-06-06 13:51:48

Registered: 2011-10-06
Posts: 103

Re: Difficulties with Pelican Packages

Yeah, i've the same problem: tried installing -git from AUR and got into a dependency hell with pip packages and some python2/python3 mess.. If the feedgenerator package in AUR would be updated i think it could work out fine..


Board footer

Powered by FluxBB